Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/iksemel: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 19 Nov 2015 18:47:42 +0200

eXtensible Markup Language parser library designed for Jabber applications
https://github.com/meduketto/iksemel
---
 testing/iksemel/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/iksemel/APKBUILD
diff --git a/testing/iksemel/APKBUILD b/testing/iksemel/APKBUILD
new file mode 100644
index 0000000..b24e91d
--- /dev/null
+++ b/testing/iksemel/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=iksemel
+pkgver=1.4
+pkgrel=0
+pkgdesc="eXtensible Markup Language parser library designed for Jabber applications"
+url="https://github.com/meduketto/iksemel"
+arch="all"
+license="LGPL2.1"
+depends=
+depends_dev=""
+makedepends="$depends_dev openssl-dev"
+install=""
+subpackages="$pkgname-libs $pkgname-doc $pkgname-dev"
+source="https://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="532e77181694f87ad5eb59435d11c1ca  iksemel-1.4.tar.gz"
+sha256sums="458c1b8fb3349076a6cecf26c29db1d561315d84e16bfcfba419f327f502e244  iksemel-1.4.tar.gz"
+sha512sums="902e326647b63a5e58b1c396a401bdd136ad01ecabca81b543c0ed76ebd8d2110377015fec1be09551b92651ee093e480fa37aa2186f7791147f29e0933852cc  iksemel-1.4.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Nov 19 2015 - 18:47:42 GMT